For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
        • PUTSet a well-known file
        • DELDelete a well-known file
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
EnterpriseSite ConfigurationWell-known files

Set a well-known file

PUT
https://api.webflow.com/beta/sites/:site_id/well_known
PUT
/beta/sites/:site_id/well_known
$curl -X PUT https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/well_known \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "fileName": {
> "summary": "Apple App Site Association",
> "value": "apple-app-site-association.txt"
> },
> "fileData": {
> "summary": "Apple App Site Association File Example",
> "value": "{\n \"applinks\": {\n \"apps\": [],\n \"details\": [\n {\n \"appID\": \"ABCDE12345.com.example.app\",\n \"paths\": [ \"/*\", \"/some/path/*\" ]\n }\n ]\n }\n}\n"
> }
>}'
1{}
Upload a supported well-known file to a site. The current restrictions on well-known files are as follows: - Each file must be smaller than 100kb - Less than 30 total files - Have one of the following file extensions (or no extension): `.txt`, `.json`, `.noext` <Note title=".noext"> `.noext` is a special file extension that removes other extensions. For example, `apple-app-site-association.noext.txt` will be uploaded as `apple-app-site-association`. Use this extension for tools that have trouble uploading extensionless files. </Note> <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `site_config:write`
Was this page helpful?
Previous

Delete a well-known file

Next
Built with

Upload a supported well-known file to a site.

The current restrictions on well-known files are as follows:

  • Each file must be smaller than 100kb
  • Less than 30 total files
  • Have one of the following file extensions (or no extension): .txt, .json, .noext
.noext

.noext is a special file extension that removes other extensions. For example, apple-app-site-association.noext.txt will be uploaded as apple-app-site-association. Use this extension for tools that have trouble uploading extensionless files.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: site_config:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

This endpoint expects an object.
fileNamestringRequired
The name of the file
fileDatastringRequired
The contents of the file
contentTypeenumOptionalDefaults to application/json

The content type of the file. Defaults to application/json

Allowed values:

Response

File uploaded successfully

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error